Removes the node

- « Dom\ChildNode::before

- Dom\ChildNode::replaceWith »

- PHP Manual
- Dom\ChildNode
- Removes the node

# Dom\ChildNode::remove

(PHP 8 >= 8.4.0)

Dom\ChildNode::remove — Removes the node

### Description

public Dom\ChildNode::remove(): void

Removes the node.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- Dom\ChildNode::after() - Adds nodes after the node
- Dom\ChildNode::before() - Adds nodes before the node
- Dom\ChildNode::replaceWith() - Replaces the node with new nodes
- Dom\Node::removeChild()